Imports Syncfusion.Windows.Forms.Grid.Grouping

Public Class Form1

    Public Sub New()

        ' This call is required by the Windows Form Designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.
        Me.GridGroupingControl1.DataSource = BuildDataTable()
        Me.GridDataBoundGrid1.DataSource = BuildDataTable()
        InitialiseGGC()
        InitialiseGDBG()
    End Sub

    Private Function BuildDataTable() As DataTable
        Dim dt As New DataTable

        For i As Integer = 1 To 10
            dt.Columns.Add("Column" & i)
        Next

        For i As Integer = 0 To 20
            Dim newRow As DataRow = dt.NewRow
            newRow.Item("Column1") = "Row " & i
            For j As Integer = 2 To 10
                newRow.Item("Column" & j) = "Bla bla"
            Next
            dt.Rows.Add(newRow)
        Next

        dt.AcceptChanges()

        Return dt
    End Function

    Private Sub InitialiseGDBG()
        With Me.GridDataBoundGrid1
            .EnableAddNew = False
            .EnableRemove = False
            .EnableEdit = False

            .Model.Cols.FreezeRange(0, .Model.NameToColIndex("Column1") - 1)
        End With
    End Sub

    Private Sub InitialiseGGC()
        With Me.GridGroupingControl1
            Dim td As GridTableDescriptor = .TableDescriptor
            td.AllowNew = False
            td.AllowRemove = False
            td.AllowEdit = False

            td.FrozenColumn = "Column1"

            .TableOptions.AllowDragColumns = False
            .TableOptions.AllowDropDownCell = False
            .TableOptions.AllowMultiColumnSort = False
            .TableOptions.AllowSortColumns = False

            .TopLevelGroupOptions.ShowCaption = False
        End With
    End Sub
End Class
